## scrotwm 0.9.5

=== Makefile ===
# $scrotwm: Makefile,v 1.8 2009/01/24 17:57:26 mcbride Exp $
.include <bsd.xconf.mk>

SUBDIR= lib

PROG=scrotwm
MAN=scrotwm.1

CFLAGS+=-Wall -Wno-uninitialized -ggdb3
CPPFLAGS+= -I${X11BASE}/include
LDADD+=-lutil -L${X11BASE}/lib -lX11 -lXrandr

MANDIR= ${X11BASE}/man/cat

obj: _xenocara_obj

.include <bsd.prog.mk>
.include <bsd.xorg.mk>

=== linux/Makefile ===
# $scrotwm: Makefile,v 1.2 2009/02/08 04:10:00 marco Exp $ 

CFLAGS+= -Wall -ggdb -D_GNU_SOURCE -I.
LDADD+= -lX11 -lXrandr

CC= gcc

LVERS= $(shell . ../lib/shlib_version; echo $$major.$$minor)

all: symlink scrotwm libswmhack

symlink:
	ln -sf ../scrotwm.c ../lib/swm_hack.c .

scrotwm: scrotwm.o linux.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

%.so: %.c
	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@

libswmhack: swm_hack.so
	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) `lorder swm_hack.so|tsort`

clean:
	rm -f scrotwm *.o *.so libswmhack.so.*

## scrotwm 0.9.20

=== Makefile ===
# $scrotwm: Makefile,v 1.13 2009/10/25 00:32:33 marco Exp $
.include <bsd.xconf.mk>

PREFIX?=/usr/local

BINDIR=${PREFIX}/bin
SUBDIR= lib

PROG=scrotwm
MAN=scrotwm.1 scrotwm_es.1 scrotwm_it.1 scrotwm_ru.1

CFLAGS+=-std=c89 -Wall -Wno-uninitialized -ggdb3
CPPFLAGS+= -I${X11BASE}/include
LDADD+=-lutil -L${X11BASE}/lib -lX11 -lXrandr

MANDIR= ${PREFIX}/man/cat

obj: _xenocara_obj

.include <bsd.prog.mk>
.include <bsd.xorg.mk>

=== lib/Makefile ===
#	$scrotwm: Makefile,v 1.3 2009/10/02 19:23:48 marco Exp $

.include <bsd.xconf.mk>

PREFIX?=/usr/local

LIB=    swmhack
NOMAN=	yes
SRCS=	swm_hack.c
LIBDIR= ${X11BASE}/lib

DEBUGLIBS= no
NOPROFILE= yes

CFLAGS+=-Wall -Wno-uninitialized -ggdb3
CFLAGS+= -I${X11BASE}/include

install:
	${INSTALL} ${INSTALL_COPY} -o ${LIBOWN} -g ${LIBGRP} -m ${LIBMODE} \
		lib${LIB}.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
		${PREFIX}/lib/

.include <bsd.lib.mk>
.include <bsd.xorg.mk>

=== linux/Makefile ===
# $scrotwm: Makefile,v 1.3 2009/09/17 02:22:52 marco Exp $ 

CFLAGS+= -Wall -ggdb -D_GNU_SOURCE -I.
CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
LDADD+= -lX11 -lXrandr

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man

CC= gcc

LVERS= $(shell . ../lib/shlib_version; echo $$major.$$minor)

all: scrotwm libswmhack.so.$(LVERS)

scrotwm.c:
	ln -sf ../scrotwm.c

swm_hack.c:
	ln -sf ../lib/swm_hack.c

scrotwm: scrotwm.o linux.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

%.so: %.c
	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@

libswmhack.so.$(LVERS): swm_hack.so
	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) swm_hack.so

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 scrotwm $(DESTDIR)$(BINDIR)
	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
	install -m 644 ../scrotwm.1 $(DESTDIR)$(MANDIR)/man1/scrotwm.1

clean:
	rm -f scrotwm *.o *.so libswmhack.so.* scrotwm.c swm_hack.c

.PHONY: all install clean

=== osx/Makefile ===
# $scrotwm: Makefile,v 1.2 2009/11/25 16:12:13 marco Exp $ 

CFLAGS+= -O2 -Wall -ggdb -D_GNU_SOURCE -D__OSX__ -I.
CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
LDADD+=  -L/usr/X11/lib/ -lX11 -lXrandr

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man

CC= gcc

LVERS= $(shell . ../lib/shlib_version; echo $$major.$$minor)

all: scrotwm libswmhack.so.$(LVERS)

scrotwm.c:
	ln -sf ../scrotwm.c

swm_hack.c:
	ln -sf ../lib/swm_hack.c

scrotwm: scrotwm.o osx.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

%.so: %.c
	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@

libswmhack.so.$(LVERS): swm_hack.so
	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) $(LDADD) swm_hack.so

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 scrotwm $(DESTDIR)$(BINDIR)
	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
	install -m 644 ../scrotwm.1 $(DESTDIR)$(MANDIR)/man1/scrotwm.1
	install -m 644 ../scrotwm_es.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_es.1
	install -m 644 ../scrotwm_it.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_it.1
	install -m 644 ../scrotwm_ru.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_ru.1

clean:
	rm -f scrotwm *.o *.so libswmhack.so.* scrotwm.c swm_hack.c

.PHONY: all install clean

=== debian/changelog ===
scrotwm (0.9.20-1ubuntu1) natty; urgency=low

  * Modify Recommends: for dwm-tools -> suckless-tools transition.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 16 Dec 2010 09:47:38 +0300

scrotwm (0.9.20-1) unstable; urgency=low

  * New upstream release:
    - Closes: #531790 (focus changes to the window in the background
      sometimes).
    - Closes: #531826 (doesn't play well with hidden windows).
    - Closes: #532569 (dialogs are always displayed on the first screen in
      a multi-head setup).
  * 002-check-before-preloading-libswmhack.diff:
    - libswmhack.so is installed now, so this patch is no longer needed.
  * 003-dont-use-hypen-as-minus-sign.diff:
    - merged upstream; dropped.
  * 102-remove-bash-and-openbsd-assumptions.diff:
    - call top correctly.
  * 103-try-versioned-dlopen.diff:
    - make libswmhack.so work even when libx11-dev and libxt-dev are not
      installed. Closes: #551732 (unable to run some applications because
      of LD_PRELOAD=/usr/.../libswmhack.so.0.0 in the environment).
  * Convert to 3.0 (quilt) source format.
  * Document patches according to DEP-3.

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 01 Dec 2009 17:29:54 +0100

scrotwm (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Build and install libswmhack.so.
  * 003-dont-use-hypen-as-minus-sign.diff: fix a common man page issue.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 14 Sep 2009 11:13:35 +0200

scrotwm (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Remove bashisms from baraction.sh example script. (Closes: #530990)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 30 May 2009 21:18:27 +0200

scrotwm (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #514322)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 19 Mar 2009 08:11:05 +0100

=== debian/control ===
Source: scrotwm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper (>= 7), libx11-dev, libxt-dev, libxrandr-dev
Standards-Version: 3.8.3
Homepage: http://www.scrotwm.org/
Vcs-Git: git://git.debian.org/collab-maint/scrotwm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scrotwm.git;a=summary

Package: scrotwm
Architecture: any
Provides: x-window-manager
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: suckless-tools, xterm | x-terminal-emulator, xfonts-terminus
Description: dynamic tiling window manager
 Scrotwm is a minimalistic window manager that tries to stay out of the way so
 that valuable screen real estate can be used for much more important stuff.
 .
 It has sane defaults and does not require one to learn a language to do any
 configuration.
 .
 It was written by hackers for hackers and it strives to be small, compact
 and fast.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C linux/ PREFIX=/usr \
	                  LIBDIR=/usr/lib/scrotwm
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) -C linux/ clean
	dh_clean

binary: binary-indep binary-arch
binary-indep: build
binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C linux/ install PREFIX=/usr \
	                          LIBDIR=/usr/lib/scrotwm \
	                          DESTDIR=$(CURDIR)/debian/scrotwm
	dh_install
	dh_installexamples
	dh_installchangelogs 
	dh_installdocs
	dh_installman --language=es scrotwm_es.1
	mv $(CURDIR)/debian/scrotwm/usr/share/man/es/man1/scrotwm_es.1 \
	   $(CURDIR)/debian/scrotwm/usr/share/man/es/man1/scrotwm.1
	dh_installman --language=it scrotwm_it.1
	mv $(CURDIR)/debian/scrotwm/usr/share/man/it/man1/scrotwm_it.1 \
	   $(CURDIR)/debian/scrotwm/usr/share/man/it/man1/scrotwm.1
	dh_installman --language=ru scrotwm_ru.1
	mv $(CURDIR)/debian/scrotwm/usr/share/man/ru/man1/scrotwm_ru.1 \
	   $(CURDIR)/debian/scrotwm/usr/share/man/ru/man1/scrotwm.1
	dh_installwm scrotwm
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary binary-indep binary-arch

=== debian/watch ===
version=3
http://www.peereboom.us/scrotwm/snapshot/scrotwm-([\d\.]+)\.tgz

## scrotwm 0.9.34

=== Makefile ===
# $scrotwm: Makefile,v 1.19 2011/08/08 22:40:57 marco Exp $
.include <bsd.xconf.mk>

PREFIX?=/usr/local

BINDIR=${PREFIX}/bin
SUBDIR= lib

PROG=scrotwm
#MAN=scrotwm.1 scrotwm_es.1 scrotwm_it.1 scrotwm_pt.1 scrotwm_ru.1
MAN=scrotwm.1

CFLAGS+=-std=c89 -Wall -Wno-uninitialized -ggdb3
# Uncomment define below to disallow user settable clock format string
#CFLAGS+=-DSWM_DENY_CLOCK_FORMAT
CPPFLAGS+= -I${X11BASE}/include
LDADD+=-lutil -L${X11BASE}/lib -lX11 -lXrandr -lXtst

MANDIR= ${PREFIX}/man/man

#scrotwm_ru.cat1: scrotwm_ru.1
#	 nroff -mandoc ${.CURDIR}/scrotwm_ru.1 > ${.TARGET}

obj: _xenocara_obj

.include <bsd.prog.mk>
.include <bsd.xorg.mk>

=== linux/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $scrotwm: Makefile,v 1.3 2009/09/17 02:22:52 marco Exp $ 
+# $scrotwm: Makefile,v 1.6 2011/08/10 13:44:36 marco Exp $ 
 
 CFLAGS+= -Wall -ggdb -D_GNU_SOURCE -I.
 CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
-LDADD+= -lX11 -lXrandr
+LDADD+= -lX11 -lXrandr -lXtst
 
 PREFIX?= /usr/local
 BINDIR?= $(PREFIX)/bin
@@ -28,7 +28,7 @@
 	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@
 
 libswmhack.so.$(LVERS): swm_hack.so
-	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) swm_hack.so
+	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) swm_hack.so $(LDADD)
 
 install: all
 	install -m 755 -d $(DESTDIR)$(BINDIR)
@@ -37,6 +37,10 @@
 	install -m 755 scrotwm $(DESTDIR)$(BINDIR)
 	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
 	install -m 644 ../scrotwm.1 $(DESTDIR)$(MANDIR)/man1/scrotwm.1
+	install -m 644 ../scrotwm_es.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_es.1
+	install -m 644 ../scrotwm_it.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_it.1
+	install -m 644 ../scrotwm_pt.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_pt.1
+	install -m 644 ../scrotwm_ru.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_ru.1
 
 clean:
 	rm -f scrotwm *.o *.so libswmhack.so.* scrotwm.c swm_hack.c

=== osx/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $scrotwm: Makefile,v 1.2 2009/11/25 16:12:13 marco Exp $ 
+# $scrotwm: Makefile,v 1.6 2011/08/10 13:44:36 marco Exp $ 
 
 CFLAGS+= -O2 -Wall -ggdb -D_GNU_SOURCE -D__OSX__ -I.
 CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
-LDADD+=  -L/usr/X11/lib/ -lX11 -lXrandr
+LDADD+=  -L/usr/X11/lib/ -lX11 -lXrandr -lXtst
 
 PREFIX?= /usr/local
 BINDIR?= $(PREFIX)/bin
@@ -29,6 +29,8 @@
 
 libswmhack.so.$(LVERS): swm_hack.so
 	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) $(LDADD) swm_hack.so
+# replace above line with this for OSX 10.5
+#	$(CC) -shared -bundle -fpic -o libswmhack.so.$(LVERS) $(LDADD) swm_hack.so
 
 install: all
 	install -m 755 -d $(DESTDIR)$(BINDIR)
@@ -39,6 +41,7 @@
 	install -m 644 ../scrotwm.1 $(DESTDIR)$(MANDIR)/man1/scrotwm.1
 	install -m 644 ../scrotwm_es.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_es.1
 	install -m 644 ../scrotwm_it.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_it.1
+	install -m 644 ../scrotwm_pt.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_pt.1
 	install -m 644 ../scrotwm_ru.1 $(DESTDIR)$(MANDIR)/man1/scrotwm_ru.1
 
 clean:

=== debian/changelog ===
scrotwm (0.9.34-1) unstable; urgency=low

  * New upstream release.
  * 002-improve-man-page.diff:
    - improve English man page. Closes: #531844 (please allow one
      workspace to span multiple monitors).
  * 003-update-italian-man-page.diff:
    - bring Italian man page up-to-date.
  * Add README.Debian file. Closes: #552647 (suggest or recommend
    acpi and iostat).
  * Install Portuguese man page.
  * Drop .desktop file, it is now shipped upstream.
  * Update watch file to reflect new snapshot location.
  * Recommend suckless-tools, which replaces dwm-tools.
  * Add Depends: on libxtst-dev.
  * Use hardening build flags, as provided by dpkg-buildflags.
  * Update Debian copyright file to DEP5 candidate version.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 11 Nov 2011 10:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: scrotwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
-Build-Depends: debhelper (>= 7), libx11-dev, libxt-dev, libxrandr-dev
-Standards-Version: 3.8.3
-Homepage: http://www.scrotwm.org/
+Maintainer: Andrea Bolognani <eof@kiyuko.org>
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), libx11-dev, libxt-dev, libxrandr-dev, libxtst-dev
+Standards-Version: 3.9.2
+Homepage: http://opensource.conformal.com/wiki/Scrotwm
 Vcs-Git: git://git.debian.org/collab-maint/scrotwm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scrotwm.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

DESTDIR=$(CURDIR)/debian/scrotwm

build: build-indep build-arch
build-indep: build-stamp
build-arch: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C linux/ PREFIX=/usr \
	                  LIBDIR=/usr/lib/scrotwm
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) -C linux/ clean
	dh_clean

binary: binary-indep binary-arch
binary-indep: build
binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C linux/ install PREFIX=/usr \
	                          LIBDIR=/usr/lib/scrotwm \
	                          DESTDIR=$(DESTDIR)
	dh_install
	dh_installdirs
	dh_installexamples
	dh_installchangelogs 
	dh_installdocs
	mv $(DESTDIR)/usr/share/man/man1/scrotwm_es.1 \
	   $(DESTDIR)/usr/share/man/es/man1/scrotwm.1
	mv $(DESTDIR)/usr/share/man/man1/scrotwm_it.1 \
	   $(DESTDIR)/usr/share/man/it/man1/scrotwm.1
	mv $(DESTDIR)/usr/share/man/man1/scrotwm_pt.1 \
	   $(DESTDIR)/usr/share/man/pt/man1/scrotwm.1
	mv $(DESTDIR)/usr/share/man/man1/scrotwm_ru.1 \
	   $(DESTDIR)/usr/share/man/ru/man1/scrotwm.1
	dh_installwm scrotwm
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary binary-indep binary-arch

=== debian/watch ===
version=3
http://opensource.conformal.com/snapshots/scrotwm/scrotwm-([\d\.]+)\.tgz
